Loading...
Searching...
No Matches
bssgp_normal_hdr Struct Reference

BSSGP normal header. More...

`#include <gsm_08_18.h>`

## Data Fields

uint8_t | pdu_type
| BSSGP PDU type.
uint8_t | data [0]
| optional/conditional IEs as TLVs

## Detailed Description

BSSGP normal header.

## Field Documentation

## data

uint8_t bssgp_normal_hdr::data[0]

optional/conditional IEs as TLVs

Referenced by bssgp_parse_rim_pdu(), bssgp_rcvmsg(), and bssgp_rx_paging().

## pdu_type

uint8_t bssgp_normal_hdr::pdu_type

BSSGP PDU type.

Referenced by bssgp2_enc_bvc_block(), bssgp2_enc_bvc_block_ack(), bssgp2_enc_bvc_reset(), bssgp2_enc_bvc_reset_ack(), bssgp2_enc_bvc_unblock(), bssgp2_enc_bvc_unblock_ack(), bssgp2_enc_fc_bvc(), bssgp2_enc_fc_bvc_ack(), bssgp2_enc_fc_ms(), bssgp2_enc_fc_ms_ack(), bssgp2_enc_flush_ll(), bssgp2_enc_status(), bssgp_encode_rim_pdu(), bssgp_parse_rim_pdu(), bssgp_rcvmsg(), bssgp_rx_paging(), bssgp_rx_ptp(), bssgp_rx_rim(), bssgp_rx_sign(), bssgp_tx_bvc_block(), bssgp_tx_bvc_unblock(), bssgp_tx_fc_bvc(), bssgp_tx_fc_bvc_ack(), bssgp_tx_fc_ms(), bssgp_tx_flush_ll_ack(), bssgp_tx_llc_discarded(), bssgp_tx_paging(), bssgp_tx_ra_capa_upd(), bssgp_tx_resume(), bssgp_tx_resume_ack(), bssgp_tx_resume_nack(), bssgp_tx_rim(), bssgp_tx_rim_encoded(), bssgp_tx_simple_bvci(), bssgp_tx_status(), bssgp_tx_suspend(), bssgp_tx_suspend_ack(), bssgp_tx_suspend_nack(), common_tx_radio_status(), fi_tx_ptp(), fi_tx_sig(), and tx_bvc_reset_nsei_bvci().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/protocol/gsm_08_18.h